#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 37. LXQt Desktop

- Prev

  libkscreen-6.3.2 for lxqt

- Next

  muparser-2.3.5

- Up
- Home

# layer-shell-qt-6.3.2 for lxqt

## Introduction to layer-shell-qt

This component is meant for applications to be able to easily use clients based on a "wlr-layer-shell" protocol. Clients can use this interface to assign the surface_layer role to wl_surfaces. Such surfaces are assigned to a "layer" of the output and rendered with a defined z-depth respective to each other.

This package is known to build and work properly using an LFS 12.3 platform.

### Important

This package is extracted from the plasma set of packages. If Plasma-6.3.2 is built, do NOT also build this package as presented here.

### Package Information

- Download (HTTP): https://download.kde.org/stable/plasma/6.3.2/layer-shell-qt-6.3.2.tar.xz

- Download MD5 sum: f56e4b5f766ddf07974646305e32f86e

- Download size: 36 KB

- Estimated disk space required: 5.0 MB

- Estimated build time: 0.3 SBU (using parallelism=4)

### layer-shell-qt Dependencies

#### Required

extra-cmake-modules-6.11.0 and Qt-6.8.2

## Installation of layer-shell

Install layer-shell-qt by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D CMAKE_BUILD_TYPE=Release  \
          -W no-dev ..                 &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: None
Installed Library: libLayerShellQtInterface.so
Installed Directories: /usr/lib/qml/org/kde/layershell and /usr/include/LayerShellQt

- Prev

  libkscreen-6.3.2 for lxqt

- Next

  muparser-2.3.5

- Up
- Home